function FileData_Pairs(x)
{
x.t("reply-to","header");
x.t("tibemssession","tibems_client_acknowledge");
x.t("tibemssession","page");
x.t("extensions","specific");
x.t("modes","call");
x.t("modes","specify");
x.t("leaves","header");
x.t("example","program");
x.t("example","consumer");
x.t("passed","however");
x.t("supports","priorities");
x.t("supports","header");
x.t("tibemsmsgproducer_getpriority","page");
x.t("properties","details");
x.t("properties","name-value");
x.t("properties","body");
x.t("properties","different");
x.t("properties","message");
x.t("properties","names");
x.t("tibemsmsg_getencoding","const");
x.t("tibemsmsg_getencoding","function");
x.t("tibemsmsg_getencoding","page");
x.t("tibemsmsg_getencoding","character");
x.t("tibemsmsg_getencoding","using");
x.t("parameter","description");
x.t("parameter","send");
x.t("parameter","actual_size");
x.t("below","remarks");
x.t("library","delay");
x.t("transactions","implicit");
x.t("unchanged","tibemsmsg_create");
x.t("unchanged","message");
x.t("avail-size","reference");
x.t("available","byte");
x.t("tibemsmsg_bytesize","tibemsmsg");
x.t("determined","application");
x.t("144","tibemsmsg_setdestination");
x.t("144","tibemsmsg_getdestination");
x.t("suggests","clients");
x.t("possible","status");
x.t("indicator","message");
x.t("indicator","value");
x.t("indicator","location");
x.t("1970","java");
x.t("tibemsmsg_get","property");
x.t("tibemsmsg_gettimestamp","tibemsmsg");
x.t("tibemsmsg_gettimestamp","function");
x.t("tibemsmsg_gettimestamp","page");
x.t("tibemsmsg_gettimestamp","timestamp");
x.t("tibemsmsg_gettimestamp","using");
x.t("redeliver","unacknowledged");
x.t("redeliver","message");
x.t("just","provider");
x.t("just","receive");
x.t("restriction","illegal");
x.t("measure","size");
x.t("measure","network");
x.t("throughput","limit");
x.t("tibemsdestination","value");
x.t("tibemsdestination","page");
x.t("defines","eight");
x.t("defines","ten");
x.t("defines","call");
x.t("priorities","jms");
x.t("priorities","gradations");
x.t("tibemsmsg_getintproperty","tibemsmsg");
x.t("tibemsmsg_getintproperty","using");
x.t("rather","literals");
x.t("clear","properties");
x.t("clear","body");
x.t("within","session");
x.t("redelivery","server");
x.t("313","tibemsmsg_clearbody");
x.t("implement","priority");
x.t("tibemsmsg_getbyteproperty","tibemsmsg");
x.t("tibemsmsg_getbyteproperty","using");
x.t("description","tibems_conversion_failed");
x.t("description","tibems_default_delivery_mode");
x.t("description","message");
x.t("description","page");
x.t("description","tibems_insufficient_buffer");
x.t("description","tibems_msg_not_writeable");
x.t("create","message");
x.t("create","copy");
x.t("delivery","mode");
x.t("table","message");
x.t("sending","reply");
x.t("sending","calls");
x.t("sending","clients");
x.t("sending","client\u2019s");
x.t("sending","call");
x.t("sufficient","space");
x.t("replies","destination");
x.t("refer","corresponding");
x.t("carry","information");
x.t("related","types");
x.t("related","message");
x.t("events","mark");
x.t("paired","call");
x.t("required","buffer");
x.t("obsolete","future");
x.t("disabling","timestamps");
x.t("disabling","ids");
x.t("normal","priority");
x.t("eight","calls");
x.t("void","bytes");
x.t("void","tibemsmsg_print");
x.t("apply","header");
x.t("lowest","priority");
x.t("providers","implement");
x.t("providers","require");
x.t("providers","tibemsmsg_setpriority");
x.t("providers","client");
x.t("providers","message");
x.t("providers","tibemsmsg_getpriority");
x.t("tibemsmsg_getdoubleproperty","tibemsmsg");
x.t("tibemsmsg_getdoubleproperty","using");
x.t("tibems_double","value");
x.t("likely","guaranteed");
x.t("tibemsmsg_clearbody","clear");
x.t("tibemsmsg_clearbody","tibemsmsg");
x.t("tibemsmsg_clearbody","function");
x.t("tibemsmsg_clearbody","using");
x.t("creates","new");
x.t("creates","destroy");
x.t("creates","message");
x.t("refers","related");
x.t("topic","message");
x.t("current","time");
x.t("tibemsmsg_getshortproperty","tibemsmsg");
x.t("tibemsmsg_getshortproperty","using");
x.t("converting","compatible");
x.t("program","supply");
x.t("program","owns");
x.t("program","link");
x.t("program","consumed");
x.t("program","tibemsmsg_getbytesize");
x.t("program","allocate");
x.t("program","declaration");
x.t("program","destroys");
x.t("program","call");
x.t("program","modify");
x.t("end-call","message");
x.t("end-call","call");
x.t("until","program");
x.t("until","convenient");
x.t("cleared","remarks");
x.t("reply","sending");
x.t("reply","correlation");
x.t("reply","clients");
x.t("reply","indicate");
x.t("reply","message");
x.t("field","tibemsmsg_setcorrelationid");
x.t("field","tibemsmsg_getreplyto");
x.t("field","time-to-live");
x.t("guaranteed","message");
x.t("guaranteed","server");
x.t("tibemsmsg_getasbytes","byte");
x.t("tibemsmsg_getasbytes","const");
x.t("tibemsmsg_getasbytes","function");
x.t("tibemsmsg_getasbytes","tibemsmsg_getasbytescopy");
x.t("tibemsmsg_getasbytes","page");
x.t("tibemsmsg_getasbytes","using");
x.t("mode","tibemssession");
x.t("mode","default");
x.t("mode","header");
x.t("mode","message");
x.t("mode","value");
x.t("mode","location");
x.t("mode","call");
x.t("mode","behavior");
x.t("copying","existing");
x.t("supply","storage");
x.t("supply","pointer");
x.t("support","byte");
x.t("support","tibemsmsg_getmessageid");
x.t("support","tibemsmsg_getcorrelationid");
x.t("tibemsmsg_getfloatproperty","tibemsmsg");
x.t("tibemsmsg_getfloatproperty","using");
x.t("sender","expect");
x.t("type","possible");
x.t("type","property");
x.t("type","distinct");
x.t("type","cobol");
x.t("type","returning");
x.t("type","references");
x.t("type","headers");
x.t("type","function");
x.t("type","tibems_not_found");
x.t("type","purpose");
x.t("type","message");
x.t("type","header");
x.t("type","value");
x.t("type","location");
x.t("type","definitions");
x.t("type","buffer");
x.t("type","even");
x.t("tibemsmsg_getbodytype","tibemsmsg");
x.t("tibemsmsg_getbodytype","body");
x.t("tibemsmsg_getbodytype","function");
x.t("tibemsmsg_getbodytype","page");
x.t("tibemsmsg_getbodytype","using");
x.t("correlation","refers");
x.t("correlation","reply");
x.t("correlation","field");
x.t("correlation","response");
x.t("correlation","property");
x.t("correlation","header");
x.t("correlation","message");
x.t("correlation","value");
x.t("correlation","location");
x.t("freed","call");
x.t("categories","values");
x.t("time","passed");
x.t("time","(gmt)");
x.t("time","tibemsmsg_setredelivered");
x.t("time","meanwhile");
x.t("time","milliseconds");
x.t("time","server");
x.t("calls","properties");
x.t("calls","delivery");
x.t("calls","assign");
x.t("calls","record");
x.t("calls","expiration");
x.t("calls","message");
x.t("calls","redelivered");
x.t("calls","documented");
x.t("calls","priority");
x.t("calls","tibemsmsgcallback");
x.t("calls","timestamp");
x.t("owns","messages");
x.t("associates","message");
x.t("response","request");
x.t("response","message");
x.t("timestamps","reduce");
x.t("timestamps","value");
x.t("timestamps","tibemsmsgproducer_setdisablemessagetimestamp");
x.t("_set","property");
x.t("tibemstextmsg","function");
x.t("acknowledgement","mode");
x.t("acknowledgement","require");
x.t("acknowledgement","tibemsmsg_getredelivered");
x.t("acknowledgement","server");
x.t("however","jms");
x.t("however","calling");
x.t("connection","consumer");
x.t("formats","data");
x.t("rate","called");
x.t("form","become");
x.t("form","tibems_int");
x.t("tibemsmsgproducer_setdisablemessageid","page");
x.t("repository","ems");
x.t("repository","tibemsmsg_settype");
x.t("repository","store");
x.t("repository","define");
x.t("repository","tibemsmsg_gettype");
x.t("tibemsmsg_getexpiration","tibemsmsg");
x.t("tibemsmsg_getexpiration","expiration");
x.t("tibemsmsg_getexpiration","function");
x.t("tibemsmsg_getexpiration","page");
x.t("tibemsmsg_getexpiration","using");
x.t("property","table");
x.t("property","jms");
x.t("property","name");
x.t("property","compatible");
x.t("property","determine");
x.t("property","function");
x.t("property","tibemsmsg_setredelivered");
x.t("property","producer");
x.t("property","message");
x.t("property","value");
x.t("property","declaration");
x.t("property","values");
x.t("property","tibemsmsg_getpropertynames");
x.t("property","names");
x.t("default","applies");
x.t("default","value");
x.t("tibems-status","end-call");
x.t("require","providers");
x.t("require","support");
x.t("require","timestamps");
x.t("require","message");
x.t("require","consuming");
x.t("original","byte");
x.t("original","message");
x.t("original","values");
x.t("reclaim","storage");
x.t("erasing","content");
x.t("queue","topic");
x.t("convert","property");
x.t("automatically","jms");
x.t("primitive","value");
x.t("among","ems");
x.t("tibemsbytesmsg","tibemsmapmsg");
x.t("supplied","program");
x.t("details","headers");
x.t("jms","providers");
x.t("jms","rules");
x.t("jms","specification");
x.t("new","message");
x.t("new","copy");
x.t("distinct","message");
x.t("link","response");
x.t("prefix","purpose");
x.t("prefix","message");
x.t("objects","tibemsdeliverymode");
x.t("encodings","tibemsmsg_getencoding");
x.t("encodings","tibemsmsg_setencoding");
x.t("start","3-character");
x.t("size","required");
x.t("size","cobol");
x.t("size","byte");
x.t("size","returning");
x.t("size","function");
x.t("size","message");
x.t("size","location");
x.t("size","buffer");
x.t("tibems_status","tibemsmsg_getencoding");
x.t("tibems_status","tibemsmsg_getintproperty");
x.t("tibems_status","tibemsmsg_gettimestamp");
x.t("tibems_status","tibemsmsg_getbyteproperty");
x.t("tibems_status","tibemsmsg_getdoubleproperty");
x.t("tibems_status","tibemsmsg_clearbody");
x.t("tibems_status","tibemsmsg_getshortproperty");
x.t("tibems_status","tibemsmsg_getasbytes");
x.t("tibems_status","tibemsmsg_getfloatproperty");
x.t("tibems_status","tibemsmsg_getbodytype");
x.t("tibems_status","tibemsmsg_getexpiration");
x.t("tibems_status","tibemsmsg_getproperty");
x.t("tibems_status","tibemsmsg_getlongproperty");
x.t("tibems_status","tibemsmsg_setdestination");
x.t("tibems_status","tibemsmsg_setcorrelationid");
x.t("tibems_status","tibemsmsg_setreplyto");
x.t("tibems_status","tibemsmsg_create");
x.t("tibems_status","tibemsmsg_setdoubleproperty");
x.t("tibems_status","tibemsmsg_getdestination");
x.t("tibems_status","tibemsmsg_printtobuffer");
x.t("tibems_status","tibemsmsg_getreplyto");
x.t("tibems_status","tibemsmsg_makewriteable");
x.t("tibems_status","tibemsmsg_settype");
x.t("tibems_status","tibemsmsg_setexpiration");
x.t("tibems_status","tibemsmsg_getstringproperty");
x.t("tibems_status","tibemsmsg_propertyexists");
x.t("tibems_status","tibemsmsg_setdeliverymode");
x.t("tibems_status","tibemsmsg_getmessageid");
x.t("tibems_status","tibemsmsg_settimestamp");
x.t("tibems_status","tibemsmsg_destroy");
x.t("tibems_status","tibemsmsg_acknowledge");
x.t("tibems_status","tibemsmsg_setshortproperty");
x.t("tibems_status","tibemsmsg_setpriority");
x.t("tibems_status","tibemsmsg_getbytesize");
x.t("tibems_status","tibemsmsg_setfloatproperty");
x.t("tibems_status","tibemsmsg_setredelivered");
x.t("tibems_status","tibemsmsg_setstringproperty");
x.t("tibems_status","tibemsmsg_createcopy");
x.t("tibems_status","tibemsmsg_getredelivered");
x.t("tibems_status","tibemsmsg_gettype");
x.t("tibems_status","tibemsmsg_setencoding");
x.t("tibems_status","tibemsmsg_getdeliverymode");
x.t("tibems_status","tibemsmsg_setbyteproperty");
x.t("tibems_status","tibemsmsg_getasbytescopy");
x.t("tibems_status","tibemsmsg_clearproperties");
x.t("tibems_status","tibemsmsg_getcorrelationid");
x.t("tibems_status","tibemsmsg_getpropertynames");
x.t("tibems_status","tibemsmsg_getpriority");
x.t("tibems_status","tibemsmsg_setmessageid");
x.t("tibems_status","tibemsmsg_createfrombytes");
x.t("tibems_status","tibemsmsg_setbooleanproperty");
x.t("tibems_status","tibemsmsg_setlongproperty");
x.t("tibems_status","tibemsmsg_setintproperty");
x.t("tibems_status","tibemsmsg_getbooleanproperty");
x.t("cobol","call");
x.t("168","tibemssession");
x.t("includes","body");
x.t("includes","data");
x.t("tibemsmsg_getproperty","tibemsmsg");
x.t("tibemsmsg_getproperty","using");
x.t("tibemsmsg_getlongproperty","tibemsmsg");
x.t("tibemsmsg_getlongproperty","using");
x.t("provider\u2019s","repository");
x.t("list","property");
x.t("list","standard");
x.t("tibemsmsg_setdestination","tibemsmsg");
x.t("tibemsmsg_setdestination","destination");
x.t("tibemsmsg_setdestination","function");
x.t("tibemsmsg_setdestination","page");
x.t("tibemsmsg_setdestination","using");
x.t("indicates","size");
x.t("indicates","messages");
x.t("lazy","means");
x.t("file","program");
x.t("file","function");
x.t("status","code");
x.t("tibemsmsgproducer_gettimetolive","page");
x.t("acknowledged","time");
x.t("ems","modes");
x.t("ems","supports");
x.t("ems","wire");
x.t("ems","client");
x.t("ems","tibems_explicit_client_dups_ok_acknowledge");
x.t("tibemsmsg_setcorrelationid","correlation");
x.t("tibemsmsg_setcorrelationid","tibemsmsg");
x.t("tibemsmsg_setcorrelationid","function");
x.t("tibemsmsg_setcorrelationid","page");
x.t("tibemsmsg_setcorrelationid","using");
x.t("tibemsmsg_setreplyto","reply-to");
x.t("tibemsmsg_setreplyto","tibemsmsg");
x.t("tibemsmsg_setreplyto","function");
x.t("tibemsmsg_setreplyto","page");
x.t("tibemsmsg_setreplyto","using");
x.t("expire","expiration");
x.t("sum","time-to-live");
x.t("assign","unique");
x.t("group","parameters");
x.t("expect","reply");
x.t("tibemsmsg_create","create");
x.t("tibemsmsg_create","tibemsmsg");
x.t("tibemsmsg_create","function");
x.t("tibemsmsg_create","using");
x.t("applies","default");
x.t("applies","strings");
x.t("applies","priority");
x.t("applies","tibems_default_priority");
x.t("network","throughput");
x.t("requested","type");
x.t("tibemsmsg_setdoubleproperty","tibemsmsg");
x.t("tibemsmsg_setdoubleproperty","using");
x.t("tibemsmsg","type");
x.t("tibemsmsg","_set");
x.t("tibemsmsg","tibemsmsg");
x.t("tibemsmsg","chapter");
x.t("tibemsmsg","message");
x.t("tibemsmsg","copy");
x.t("depends","acknowledgement");
x.t("archiving","file");
x.t("avail_size","length");
x.t("avail_size","tibems_int");
x.t("large","enough");
x.t("become","obsolete");
x.t("duplicate","previously");
x.t("false","server");
x.t("182","tibemsmsgproducer_setpriority");
x.t("receipt","acknowledged");
x.t("receipt","tibemsmsg_acknowledge");
x.t("cycle","tibemsmsg_clearbody");
x.t("byte","array");
x.t("byte","sequence");
x.t("tibemsmsg_printtobuffer","tibemsmsg");
x.t("tibemsmsg_printtobuffer","prints");
x.t("tibemsmsg_printtobuffer","function");
x.t("tibemsmsg_printtobuffer","page");
x.t("tibemsmsg_printtobuffer","using");
x.t("tibemsmsg_getdestination","tibemsmsg");
x.t("tibemsmsg_getdestination","destination");
x.t("tibemsmsg_getdestination","function");
x.t("tibemsmsg_getdestination","page");
x.t("tibemsmsg_getdestination","using");
x.t("test","whether");
x.t("test","message");
x.t("test","location");
x.t("tibems_persistent","neither");
x.t("guarantee","clients");
x.t("183","tibemsmsg_getmessageid");
x.t("183","tibemsmsgproducer_settimetolive");
x.t("tibemsmsgproducer_send","page");
x.t("delivered","earlier");
x.t("delivered","message");
x.t("true","likely");
x.t("utc","timestamp");
x.t("tibemsmsg_getreplyto","reply-to");
x.t("tibemsmsg_getreplyto","tibemsmsg");
x.t("tibemsmsg_getreplyto","function");
x.t("tibemsmsg_getreplyto","page");
x.t("tibemsmsg_getreplyto","using");
x.t("lazily","acknowledges");
x.t("suitable","archiving");
x.t("suitable","byte");
x.t("tibemsdeliverymode","value");
x.t("tibemsdeliverymode","page");
x.t("settings","strings");
x.t("184","tibemsmsgproducer_setpriority");
x.t("184","tibemsmsgproducer_getdestination");
x.t("name","tibems_double");
x.t("name","property");
x.t("name","test");
x.t("name","char");
x.t("name","tibemsmsgfield");
x.t("name","const");
x.t("name","tibems_short");
x.t("name","tibems_float");
x.t("name","tibems_int");
x.t("name","reference");
x.t("name","tibems_byte");
x.t("name","value");
x.t("name","result");
x.t("name","case");
x.t("name","tibems_long");
x.t("name","tibems_bool");
x.t("tibems_conversion_failed","actual");
x.t("definition","repository");
x.t("returning","tibems-status");
x.t("char","name");
x.t("char","value");
x.t("char","buffer");
x.t("clients","refer");
x.t("clients","receive");
x.t("clients","header");
x.t("clients","consider");
x.t("previously","delivered");
x.t("previously","attempted");
x.t("approximate","time");
x.t("references","definition");
x.t("tibemsmsg_makewriteable","tibemsmsg");
x.t("tibemsmsg_makewriteable","tibemsmsg_destroy");
x.t("tibemsmsg_makewriteable","function");
x.t("tibemsmsg_makewriteable","message");
x.t("tibemsmsg_makewriteable","page");
x.t("tibemsmsg_makewriteable","using");
x.t("neither","sending");
x.t("provider","calls");
x.t("provider","client");
x.t("provider","assigns");
x.t("argument","byte");
x.t("argument","consumed");
x.t("unacknowledged","messages");
x.t("const","void");
x.t("const","tibemsmsg");
x.t("const","char");
x.t("bytes","create");
x.t("bytes","program");
x.t("bytes","cobol");
x.t("bytes","status");
x.t("bytes","returning");
x.t("bytes","function");
x.t("bytes","tibems_int");
x.t("bytes","reference");
x.t("bytes","usage");
x.t("bytes","value");
x.t("bytes","measurement");
x.t("bytes","tibemsmsg_createfrombytes");
x.t("fill","byte");
x.t("limit","program\u2019s");
x.t("tibemsmsgfield","value");
x.t("enumeration","cobol");
x.t("enumeration","returning");
x.t("enumeration","function");
x.t("enumeration","usage");
x.t("tibemsmsg_settype","type");
x.t("tibemsmsg_settype","tibemsmsg");
x.t("tibemsmsg_settype","function");
x.t("tibemsmsg_settype","page");
x.t("tibemsmsg_settype","using");
x.t("zero","tibemsmsg_gettimestamp");
x.t("zero","lowest");
x.t("zero","indicates");
x.t("zero","expiration");
x.t("zero","tibemsmsg_settimestamp");
x.t("zero","indicating");
x.t("parameters","parameter");
x.t("session","connection");
x.t("session","behavior");
x.t("complies","jms");
x.t("subsequently","freed");
x.t("program\u2019s","output");
x.t("compatible","requested");
x.t("compatible","types");
x.t("boolean","result");
x.t("tibemsmsg_setexpiration","tibemsmsg");
x.t("tibemsmsg_setexpiration","expiration");
x.t("tibemsmsg_setexpiration","function");
x.t("tibemsmsg_setexpiration","page");
x.t("tibemsmsg_setexpiration","using");
x.t("constants","constant");
x.t("transferring","acknowledgement");
x.t("makes","writeable");
x.t("indicate","request");
x.t("indicate","whether");
x.t("determine","actual");
x.t("expired","messages");
x.t("188","tibemsmsg_setpriority");
x.t("188","producer");
x.t("188","tibemsmsg_getpriority");
x.t("standard","message");
x.t("standard","encoding");
x.t("destroy","messages");
x.t("destroy","message");
x.t("destination","queue");
x.t("destination","header");
x.t("destination","message");
x.t("destination","value");
x.t("destination","location");
x.t("destination","object");
x.t("consumed","just");
x.t("consumed","within");
x.t("consumed","redelivery");
x.t("consumed","two");
x.t("consumed","eligible");
x.t("modification","without");
x.t("allows","three");
x.t("strings","name");
x.t("strings","begin");
x.t("strings","message");
x.t("strings","value");
x.t("strings","semantics");
x.t("strings","character");
x.t("tibemsmsg_getstringproperty","calls");
x.t("tibemsmsg_getstringproperty","tibemsmsg");
x.t("tibemsmsg_getstringproperty","using");
x.t("189","tibemsmsg_settype");
x.t("189","producer");
x.t("189","tibemsmsg_gettype");
x.t("programs","related");
x.t("programs","store");
x.t("programs","ids");
x.t("programs","header");
x.t("programs","correlate");
x.t("programs","encoding");
x.t("copies","original");
x.t("copies","byte");
x.t("copies","entire");
x.t("expiration","time");
x.t("expiration","sum");
x.t("expiration","zero");
x.t("expiration","tibemsmsg_acknowledge");
x.t("expiration","header");
x.t("expiration","message");
x.t("expiration","value");
x.t("expiration","location");
x.t("tibemsmsg_propertyexists","tibemsmsg");
x.t("tibemsmsg_propertyexists","test");
x.t("tibemsmsg_propertyexists","function");
x.t("tibemsmsg_propertyexists","using");
x.t("tibemsmsg_setdeliverymode","delivery");
x.t("tibemsmsg_setdeliverymode","tibemsmsg");
x.t("tibemsmsg_setdeliverymode","function");
x.t("tibemsmsg_setdeliverymode","page");
x.t("tibemsmsg_setdeliverymode","using");
x.t("empty","strings");
x.t("empty","body");
x.t("fields","byte");
x.t("fields","independent");
x.t("entire","message");
x.t("wire","format");
x.t("array","implementation");
x.t("array","values");
x.t("array","content");
x.t("string","includes");
x.t("string","provider");
x.t("string","programs");
x.t("string","representation");
x.t("record","utc");
x.t("record","destination");
x.t("record","expiration");
x.t("record","header");
x.t("record","priority");
x.t("ten","levels");
x.t("sets","header");
x.t("name-value","pairs");
x.t("pairs","properties");
x.t("pairs","body");
x.t("prints","string");
x.t("prints","message");
x.t("tibemsmsg_getmessageid","tibemsmsg");
x.t("tibemsmsg_getmessageid","function");
x.t("tibemsmsg_getmessageid","message");
x.t("tibemsmsg_getmessageid","page");
x.t("tibemsmsg_getmessageid","using");
x.t("contain","interior");
x.t("three","categories");
x.t("earlier","receipt");
x.t("tibemsmsgproducer_settimetolive","page");
x.t("supplies","delivery");
x.t("supplies","priority");
x.t("store","string");
x.t("store","body");
x.t("store","message");
x.t("store","copy");
x.t("request","recipients");
x.t("request","message");
x.t("request","value");
x.t("request","setting");
x.t("begin","prefix");
x.t("functions","convert");
x.t("functions","tibemsbytesmsg_readutf");
x.t("selector","identifier");
x.t("accepted","message");
x.t("small","hold");
x.t("body","unchanged");
x.t("body","tibemsmsg_getbodytype");
x.t("body","type");
x.t("body","appears");
x.t("body","types");
x.t("body","message");
x.t("body","data");
x.t("body","read-only");
x.t("body","newly");
x.t("body","content");
x.t("tibemsmsg_settimestamp","tibemsmsg");
x.t("tibemsmsg_settimestamp","function");
x.t("tibemsmsg_settimestamp","page");
x.t("tibemsmsg_settimestamp","timestamp");
x.t("tibemsmsg_settimestamp","using");
x.t("independent","original");
x.t("independent","copies");
x.t("actual-size","returning");
x.t("contrast","tibemsmsg_getbodytype");
x.t("contrast","tibemsmsg_gettype");
x.t("symmetry","sending");
x.t("symmetry","tibemsdeliverymode");
x.t("symmetry","server");
x.t("www.iana.org","remarks");
x.t("representation","message");
x.t("tibems_default_delivery_mode","tibems_persistent");
x.t("acknowledges","messages");
x.t("acknowledges","individual");
x.t("delay","transferring");
x.t("137","tibemsmsg_getbytesize");
x.t("occupies","including");
x.t("throttling","deprecated");
x.t("client\u2019s","current");
x.t("hold","data");
x.t("messages","example");
x.t("messages","restriction");
x.t("messages","carry");
x.t("messages","creates");
x.t("messages","program");
x.t("messages","reclaim");
x.t("messages","tibemsmsg_getexpiration");
x.t("messages","expire");
x.t("messages","ems");
x.t("messages","tibemsmsg");
x.t("messages","tibemsmsg_setexpiration");
x.t("messages","body");
x.t("messages","declaration");
x.t("messages","several");
x.t("messages","using");
x.t("messages","consumers");
x.t("messages","encoding");
x.t("life","cycle");
x.t("tibemsmsg_destroy","new");
x.t("tibemsmsg_destroy","tibemsmsg");
x.t("tibemsmsg_destroy","destroy");
x.t("tibemsmsg_destroy","tibemsmsg_destroy");
x.t("tibemsmsg_destroy","function");
x.t("tibemsmsg_destroy","page");
x.t("tibemsmsg_destroy","using");
x.t("headers","properties");
x.t("headers","name-value");
x.t("headers","tibemsmsg_clearproperties");
x.t("means","provider");
x.t("appears","behaves");
x.t("space","wire");
x.t("space","store");
x.t("unused","calling");
x.t("affects","order");
x.t("first","jms");
x.t("attempted","deliver");
x.t("function","just");
x.t("function","description");
x.t("function","paired");
x.t("function","however");
x.t("function","makes");
x.t("function","copies");
x.t("function","stores");
x.t("function","purpose");
x.t("function","marks");
x.t("function","closing");
x.t("function","allocates");
x.t("tibemsmsg_acknowledge","tibemsmsg");
x.t("tibemsmsg_acknowledge","function");
x.t("tibemsmsg_acknowledge","using");
x.t("tibemsmsg_acknowledge","acknowledge");
x.t("length","byte");
x.t("length","storage");
x.t("enough","data");
x.t("indicating","approximate");
x.t("indicating","message");
x.t("chapter","messages");
x.t("whether","message");
x.t("whether","named");
x.t("tibems_default_time_to_live","neither");
x.t("particular","modes");
x.t("receive","expired");
x.t("receive","call");
x.t("represents","message");
x.t("share","storage");
x.t("unique","string");
x.t("unique","message");
x.t("tibems_short","value");
x.t("different","primitive");
x.t("different","value");
x.t("tibems_not_found","property");
x.t("define","standard");
x.t("define","naming");
x.t("tibemsmsg_setshortproperty","tibemsmsg");
x.t("tibemsmsg_setshortproperty","using");
x.t("tibemsmsg_setpriority","tibemsmsg");
x.t("tibemsmsg_setpriority","function");
x.t("tibemsmsg_setpriority","page");
x.t("tibemsmsg_setpriority","priority");
x.t("tibemsmsg_setpriority","using");
x.t("stores","reply-to");
x.t("stores","delivery");
x.t("stores","correlation");
x.t("stores","type");
x.t("stores","property");
x.t("stores","byte");
x.t("stores","boolean");
x.t("stores","destination");
x.t("stores","expiration");
x.t("stores","body");
x.t("stores","length");
x.t("stores","message");
x.t("stores","value");
x.t("stores","redelivered");
x.t("stores","character");
x.t("stores","priority");
x.t("stores","timestamp");
x.t("stores","pointer");
x.t("instead","byte");
x.t("arbitrary","strings");
x.t("reduce","overhead");
x.t("gradations","normal");
x.t("gradations","expedited");
x.t("selectors","property");
x.t("types","converting");
x.t("types","tibemsbytesmsg");
x.t("types","status");
x.t("types","functions");
x.t("types","tibemsmsgtype");
x.t("tibemsmapmsg","tibemsobjectmsg");
x.t("tibemsmsg_getbytesize","tibemsmsg");
x.t("tibemsmsg_getbytesize","function");
x.t("tibemsmsg_getbytesize","computes");
x.t("tibemsmsg_getbytesize","page");
x.t("tibemsmsg_getbytesize","using");
x.t("tibemsmsg_setredelivered","tibemsmsg");
x.t("tibemsmsg_setredelivered","function");
x.t("tibemsmsg_setredelivered","redelivered");
x.t("tibemsmsg_setredelivered","page");
x.t("tibemsmsg_setredelivered","using");
x.t("tibems_client_acknowledge","mode");
x.t("clearing","property");
x.t("clearing","body");
x.t("format","suitable");
x.t("format","message");
x.t("format","produce");
x.t("populates","message");
x.t("allocated","storage");
x.t("release","tibemsmsg_getasbytescopy");
x.t("listeners","consume");
x.t("(gmt)","time-to-live");
x.t("tibems_float","value");
x.t("match","provider\u2019s");
x.t("tibemsmsg_setfloatproperty","tibemsmsg");
x.t("tibemsmsg_setfloatproperty","using");
x.t("purpose","reply-to");
x.t("purpose","clear");
x.t("purpose","create");
x.t("purpose","delivery");
x.t("purpose","correlation");
x.t("purpose","type");
x.t("purpose","list");
x.t("purpose","byte");
x.t("purpose","test");
x.t("purpose","destroy");
x.t("purpose","destination");
x.t("purpose","copies");
x.t("purpose","string");
x.t("purpose","expiration");
x.t("purpose","prints");
x.t("purpose","body");
x.t("purpose","messages");
x.t("purpose","message");
x.t("purpose","value");
x.t("purpose","redelivered");
x.t("purpose","computes");
x.t("purpose","character");
x.t("purpose","print");
x.t("purpose","priority");
x.t("purpose","applications");
x.t("purpose","timestamp");
x.t("purpose","acknowledge");
x.t("calling","tibemsmsg_getasbytescopy");
x.t("calling","produce");
x.t("marks","message");
x.t("tibems_int","tibemsmsg_bytesize");
x.t("tibems_int","size");
x.t("tibems_int","avail_size");
x.t("tibems_int","value");
x.t("tibems_int","maxlen");
x.t("tibems_int","actual_size");
x.t("ordering","messages");
x.t("recipients","reply");
x.t("recipients","send");
x.t("tibems_false","otherwise");
x.t("tibemsmsg_setstringproperty","calls");
x.t("tibemsmsg_setstringproperty","tibemsmsg");
x.t("tibemsmsg_setstringproperty","using");
x.t("client","library");
x.t("client","programs");
x.t("client","application");
x.t("reference","type");
x.t("reference","size");
x.t("reference","name");
x.t("reference","bytes");
x.t("reference","enumeration");
x.t("reference","actual-size");
x.t("reference","message");
x.t("reference","value");
x.t("reference","result");
x.t("reference","copy");
x.t("reference","buffer");
x.t("enable","modification");
x.t("code","description");
x.t("identifier","message");
x.t("producer","parameter");
x.t("producer","supplies");
x.t("producer","disables");
x.t("consumer","true");
x.t("consumer","consumer");
x.t("consumer","return");
x.t("consumer","message");
x.t("consumer","responds");
x.t("return","parameter");
x.t("return","timely");
x.t("assigns","message");
x.t("ids","tibemsmsgproducer_setdisablemessageid");
x.t("ids","byte");
x.t("ids","reduce");
x.t("ids","value");
x.t("ids","correlate");
x.t("overwriting","existing");
x.t("tibemsbytesmsg_readutf","tibemsbytesmsg_writeutf");
x.t("expires","server");
x.t("tibemsmsgenum","enumeration");
x.t("tibemsmsgenum","page");
x.t("timely","acknowledgement");
x.t("message","leaves");
x.t("message","example");
x.t("message","reply-to");
x.t("message","tibemsmsg_getencoding");
x.t("message","properties");
x.t("message","tibemsmsg_get");
x.t("message","tibemsmsg_gettimestamp");
x.t("message","tibemsdestination");
x.t("message","sending");
x.t("message","delivery");
x.t("message","cleared");
x.t("message","program");
x.t("message","field");
x.t("message","end-call");
x.t("message","mode");
x.t("message","copying");
x.t("message","tibemsmsg_getasbytes");
x.t("message","type");
x.t("message","correlation");
x.t("message","repository");
x.t("message","tibemsmsg_getexpiration");
x.t("message","property");
x.t("message","jms");
x.t("message","objects");
x.t("message","cobol");
x.t("message","size");
x.t("message","tibemsmsg_setdestination");
x.t("message","lazy");
x.t("message","tibemsmsg_setcorrelationid");
x.t("message","tibemsmsg_setreplyto");
x.t("message","ems");
x.t("message","tibemsmsg_create");
x.t("message","tibemsmsg");
x.t("message","duplicate");
x.t("message","false");
x.t("message","tibemsmsg_printtobuffer");
x.t("message","tibemsmsg_getdestination");
x.t("message","byte");
x.t("message","delivered");
x.t("message","test");
x.t("message","tibemsmsg_getreplyto");
x.t("message","tibemsdeliverymode");
x.t("message","name");
x.t("message","definition");
x.t("message","returning");
x.t("message","char");
x.t("message","tibemsmsg_makewriteable");
x.t("message","argument");
x.t("message","const");
x.t("message","bytes");
x.t("message","fill");
x.t("message","enumeration");
x.t("message","tibemsmsg_settype");
x.t("message","tibemsmsg_setexpiration");
x.t("message","constants");
x.t("message","consumed");
x.t("message","destroy");
x.t("message","strings");
x.t("message","destination");
x.t("message","tibemsmsg_propertyexists");
x.t("message","tibemsmsg_setdeliverymode");
x.t("message","fields");
x.t("message","programs");
x.t("message","expiration");
x.t("message","record");
x.t("message","tibemsmsg_getmessageid");
x.t("message","selector");
x.t("message","tibemsmsg_settimestamp");
x.t("message","body");
x.t("message","independent");
x.t("message","occupies");
x.t("message","life");
x.t("message","function");
x.t("message","unique");
x.t("message","tibemsmsg_setpriority");
x.t("message","selectors");
x.t("message","tibemsmsg_setredelivered");
x.t("message","marks");
x.t("message","tibems_int");
x.t("message","tibems_false");
x.t("message","reference");
x.t("message","ids");
x.t("message","expires");
x.t("message","tibemsmsgenum");
x.t("message","consumer");
x.t("message","message");
x.t("message","header");
x.t("message","tibemsmsg_getredelivered");
x.t("message","actual");
x.t("message","bodies");
x.t("message","ensure");
x.t("message","tibemsmsg_print");
x.t("message","stdout");
x.t("message","tibemsmsg_gettype");
x.t("message","tibemsmsg_setencoding");
x.t("message","usage");
x.t("message","tibemsmsgtype");
x.t("message","allocate");
x.t("message","value");
x.t("message","maxlen");
x.t("message","tibemsmsg_set");
x.t("message","declaration");
x.t("message","tibemsmsg_getdeliverymode");
x.t("message","redelivered");
x.t("message","location");
x.t("message","remarks");
x.t("message","tibemsmsg_clearproperties");
x.t("message","data");
x.t("message","read-only");
x.t("message","application");
x.t("message","allocates");
x.t("message","values");
x.t("message","tibemsmsg_getcorrelationid");
x.t("message","deprecated");
x.t("message","character");
x.t("message","called");
x.t("message","print");
x.t("message","priority");
x.t("message","copy");
x.t("message","tibems_long");
x.t("message","tibemsmsg_getpriority");
x.t("message","tibemsmsg_setmessageid");
x.t("message","timestamp");
x.t("message","storage");
x.t("message","pointer");
x.t("message","compute");
x.t("message","corresponding");
x.t("message","writeable");
x.t("message","acknowledge");
x.t("message","arrived");
x.t("message","including");
x.t("message","buffer");
x.t("message","object");
x.t("message","encoding");
x.t("message","tibems_bool");
x.t("tibemsmsg_createcopy","create");
x.t("tibemsmsg_createcopy","const");
x.t("tibemsmsg_createcopy","function");
x.t("tibemsmsg_createcopy","using");
x.t("header","properties");
x.t("header","property");
x.t("header","automatically");
x.t("header","jms");
x.t("header","zero");
x.t("header","indicate");
x.t("header","request");
x.t("header","indicating");
x.t("header","message");
x.t("header","null");
x.t("header","value");
x.t("header","ignoring");
x.t("header","location");
x.t("header","values");
x.t("header","based");
x.t("header","symbolic");
x.t("header","names");
x.t("header","even");
x.t("tibemsmsg_getredelivered","tibemsmsg");
x.t("tibemsmsg_getredelivered","function");
x.t("tibemsmsg_getredelivered","redelivered");
x.t("tibemsmsg_getredelivered","page");
x.t("tibemsmsg_getredelivered","using");
x.t("tibco","ems");
x.t("tibco","software");
x.t("actual","type");
x.t("actual","destination");
x.t("actual","space");
x.t("actual","behavior");
x.t("illegal","call");
x.t("bodies","names");
x.t("january","1970");
x.t("java","applications");
x.t("ensure","compatibility");
x.t("ensure","portability");
x.t("tibemsmsg_print","tibemsmsg");
x.t("tibemsmsg_print","prints");
x.t("tibemsmsg_print","function");
x.t("tibemsmsg_print","page");
x.t("tibemsmsg_print","print");
x.t("tibemsmsg_print","using");
x.t("acknowledgment","using");
x.t("closing","session");
x.t("existing","message");
x.t("existing","value");
x.t("null","sender");
x.t("null","bytes");
x.t("null","empty");
x.t("null","tibemsmsg_getcorrelationid");
x.t("tibemsbytesmsg_writeutf","exempt");
x.t("consider","gradations");
x.t("tibems_byte","value");
x.t("rules","message");
x.t("stdout","tibemsmsg_printtobuffer");
x.t("tibems_true","property");
x.t("tibemsmsg_gettype","type");
x.t("tibemsmsg_gettype","tibemsmsg");
x.t("tibemsmsg_gettype","function");
x.t("tibemsmsg_gettype","page");
x.t("tibemsmsg_gettype","using");
x.t("include","allocated");
x.t("tibemsmsgproducer_setpriority","page");
x.t("value","reply-to");
x.t("value","avail-size");
x.t("value","delivery");
x.t("value","correlation");
x.t("value","type");
x.t("value","property");
x.t("value","cobol");
x.t("value","tibems_status");
x.t("value","list");
x.t("value","returning");
x.t("value","zero");
x.t("value","destination");
x.t("value","expiration");
x.t("value","function");
x.t("value","types");
x.t("value","message");
x.t("value","header");
x.t("value","null");
x.t("value","usage");
x.t("value","value");
x.t("value","maxlen");
x.t("value","redelivered");
x.t("value","location");
x.t("value","remarks");
x.t("value","character");
x.t("value","milliseconds");
x.t("value","priority");
x.t("value","based");
x.t("value","call");
x.t("value","timestamp");
x.t("named","property");
x.t("tibemsmsg_setencoding","tibemsmsg");
x.t("tibemsmsg_setencoding","function");
x.t("tibemsmsg_setencoding","page");
x.t("tibemsmsg_setencoding","character");
x.t("tibemsmsg_setencoding","using");
x.t("usage","pointer");
x.t("proprietary","extensions");
x.t("convenient","time");
x.t("tibemsacknowledgemode","page");
x.t("allocate","sufficient");
x.t("allocate","storage");
x.t("similar","names");
x.t("tibemsmsgtype","type");
x.t("tibemsmsgtype","page");
x.t("discards","message");
x.t("maxlen","cobol");
x.t("maxlen","size");
x.t("maxlen","returning");
x.t("tibemsmsg_set","property");
x.t("constant","description");
x.t("declaration","void");
x.t("declaration","tibems_status");
x.t("specific","tibco");
x.t("meanwhile","server");
x.t("responds","request");
x.t("implementation","support");
x.t("send","replies");
x.t("send","call");
x.t("several","destinations");
x.t("compatibility","providers");
x.t("tibemsmsg_getdeliverymode","delivery");
x.t("tibemsmsg_getdeliverymode","tibemsmsg");
x.t("tibemsmsg_getdeliverymode","function");
x.t("tibemsmsg_getdeliverymode","page");
x.t("tibemsmsg_getdeliverymode","using");
x.t("redelivered","indicator");
x.t("redelivered","header");
x.t("exception","behavior");
x.t("extends","jms");
x.t("deliver","message");
x.t("tibemsmsg_setbyteproperty","tibemsmsg");
x.t("tibemsmsg_setbyteproperty","using");
x.t("tibemsmsg_getasbytescopy","const");
x.t("tibemsmsg_getasbytescopy","copies");
x.t("tibemsmsg_getasbytescopy","function");
x.t("tibemsmsg_getasbytescopy","instead");
x.t("tibemsmsg_getasbytescopy","remarks");
x.t("tibemsmsg_getasbytescopy","page");
x.t("tibemsmsg_getasbytescopy","call");
x.t("tibemsmsg_getasbytescopy","using");
x.t("computes","size");
x.t("286","tibemsacknowledgemode");
x.t("actual_size","cobol");
x.t("actual_size","indicates");
x.t("actual_size","function");
x.t("time-to-live","sending");
x.t("time-to-live","zero");
x.t("time-to-live","non-zero");
x.t("expedited","priority");
x.t("page","tibemsmsgproducer_getpriority");
x.t("page","144");
x.t("page","tibemsmsg_getencoding");
x.t("page","tibemsmsg_gettimestamp");
x.t("page","313");
x.t("page","tibemsmsg_getasbytes");
x.t("page","tibemsmsg_getbodytype");
x.t("page","tibemsmsgproducer_setdisablemessageid");
x.t("page","tibemsmsg_getexpiration");
x.t("page","168");
x.t("page","tibemsmsgproducer_gettimetolive");
x.t("page","tibemsmsg_setdestination");
x.t("page","tibemsmsg_setcorrelationid");
x.t("page","tibemsmsg_setreplyto");
x.t("page","182");
x.t("page","receipt");
x.t("page","tibemsmsg_getdestination");
x.t("page","183");
x.t("page","tibemsmsgproducer_send");
x.t("page","tibemsmsg_printtobuffer");
x.t("page","184");
x.t("page","tibemsmsg_getreplyto");
x.t("page","tibemsmsg_makewriteable");
x.t("page","188");
x.t("page","tibemsmsg_setexpiration");
x.t("page","189");
x.t("page","tibemsmsg_propertyexists");
x.t("page","tibemsmsg_setdeliverymode");
x.t("page","tibemsmsg_getmessageid");
x.t("page","tibemsmsg_settimestamp");
x.t("page","137");
x.t("page","tibemsmsg_destroy");
x.t("page","tibemsmsg_getbytesize");
x.t("page","tibemsmsg_createcopy");
x.t("page","tibco");
x.t("page","declaration");
x.t("page","tibemsmsg_getdeliverymode");
x.t("page","286");
x.t("page","tibemsmsg_getasbytescopy");
x.t("page","178");
x.t("page","tibemsmsg_getcorrelationid");
x.t("page","tibemsmsgproducer_setdisablemessagetimestamp");
x.t("page","tibemsmsg_setmessageid");
x.t("page","192");
x.t("page","tibemsmsg_createfrombytes");
x.t("page","193");
x.t("page","127");
x.t("page","129");
x.t("sequence","supply");
x.t("sequence","associates");
x.t("sequence","includes");
x.t("sequence","ems");
x.t("sequence","contain");
x.t("sequence","representation");
x.t("sequence","tibemsmsg_destroy");
x.t("sequence","function");
x.t("sequence","share");
x.t("sequence","stores");
x.t("sequence","populates");
x.t("sequence","declaration");
x.t("sequence","tibemsmsg_getasbytescopy");
x.t("sequence","actual_size");
x.t("sequence","location");
x.t("sequence","data");
x.t("sequence","storage");
x.t("sequence","modifiable");
x.t("output","tibemsmsg_getasbytes");
x.t("output","rate");
x.t("remarks","below");
x.t("remarks","delivery");
x.t("remarks","sending");
x.t("remarks","correlation");
x.t("remarks","jms");
x.t("remarks","clearing");
x.t("remarks","call");
x.t("remarks","behavior");
x.t("remarks","server");
x.t("tibemsmsgconsumer_receive","page");
x.t("location","avail_size");
x.t("location","bytes");
x.t("location","store");
x.t("location","body");
x.t("location","tibemsmsgenum");
x.t("location","tibems_true");
x.t("location","actual_size");
x.t("location","remarks");
x.t("persists","until");
x.t("ignoring","overwriting");
x.t("3-character","prefix");
x.t("information","among");
x.t("tibemsmsg_clearproperties","clear");
x.t("tibemsmsg_clearproperties","tibemsmsg");
x.t("tibemsmsg_clearproperties","function");
x.t("tibemsmsg_clearproperties","using");
x.t("data","byte");
x.t("data","fields");
x.t("data","function");
x.t("data","return");
x.t("data","message");
x.t("data","tibemsmsg_print");
x.t("data","include");
x.t("data","buffer");
x.t("behaves","identically");
x.t("identically","empty");
x.t("measurement","accounts");
x.t("overhead","costs");
x.t("sensitive","property");
x.t("configure","match");
x.t("read-only","tibemsmsg_get");
x.t("read-only","function");
x.t("read-only","enable");
x.t("newly","created");
x.t("future","release");
x.t("semantics","determined");
x.t("result","cobol");
x.t("result","test");
x.t("result","returning");
x.t("result","function");
x.t("values","unchanged");
x.t("values","properties");
x.t("values","rather");
x.t("values","apply");
x.t("values","correlation");
x.t("values","start");
x.t("values","functions");
x.t("values","body");
x.t("values","first");
x.t("values","function");
x.t("values","message");
x.t("values","corresponding");
x.t("application","creates");
x.t("application","strings");
x.t("application","message");
x.t("application","ensure");
x.t("allocates","byte");
x.t("allocates","storage");
x.t("interior","null");
x.t("highest","priority");
x.t("documented","group");
x.t("case","sensitive");
x.t("policy","message");
x.t("178","tibemsmsg_setencoding");
x.t("print","message");
x.t("tibemsmsg_getcorrelationid","correlation");
x.t("tibemsmsg_getcorrelationid","tibemsmsg");
x.t("tibemsmsg_getcorrelationid","function");
x.t("tibemsmsg_getcorrelationid","page");
x.t("tibemsmsg_getcorrelationid","using");
x.t("character","encodings");
x.t("character","encoding");
x.t("specification","suggests");
x.t("specification","defines");
x.t("specification","require");
x.t("specification","guarantee");
x.t("specification","consumed");
x.t("specification","allows");
x.t("specification","programs");
x.t("specification","define");
x.t("specification","tibems_explicit_client_acknowledge");
x.t("specification","encoding");
x.t("destroys","message");
x.t("called","request");
x.t("called","throttling");
x.t("deprecated","form");
x.t("correlate","messages");
x.t("destinations","property");
x.t("tibemsobjectmsg","tibemsstreammsg");
x.t("priority","priorities");
x.t("priority","default");
x.t("priority","affects");
x.t("priority","tibems_default_time_to_live");
x.t("priority","ordering");
x.t("priority","header");
x.t("priority","message");
x.t("priority","value");
x.t("priority","location");
x.t("priority","highest");
x.t("priority","specification");
x.t("priority","priority");
x.t("tibems_explicit_client_acknowledge","mode");
x.t("two","events");
x.t("milliseconds","message");
x.t("milliseconds","january");
x.t("otherwise","tibemsmsg_setcorrelationid");
x.t("copy","cobol");
x.t("copy","returning");
x.t("copy","independent");
x.t("copy","function");
x.t("copy","message");
x.t("copy","usage");
x.t("copy","location");
x.t("copy","call");
x.t("copy","duration");
x.t("copy","completely");
x.t("tibemsmsg_getpropertynames","list");
x.t("tibemsmsg_getpropertynames","tibemsmsg");
x.t("tibemsmsg_getpropertynames","function");
x.t("tibemsmsg_getpropertynames","using");
x.t("implicit","acknowledgement");
x.t("mark","message");
x.t("based","either");
x.t("tibems_long","value");
x.t("applications","require");
x.t("disables","timestamps");
x.t("disables","ids");
x.t("obey","jms");
x.t("tibemsmsgproducer_setdisablemessagetimestamp","page");
x.t("portability","clients");
x.t("tibemsmsg_getpriority","tibemsmsg");
x.t("tibemsmsg_getpriority","function");
x.t("tibemsmsg_getpriority","page");
x.t("tibemsmsg_getpriority","priority");
x.t("tibemsmsg_getpriority","using");
x.t("timestamp","header");
x.t("timestamp","message");
x.t("timestamp","value");
x.t("timestamp","location");
x.t("tibemsmsg_setmessageid","tibemsmsg");
x.t("tibemsmsg_setmessageid","function");
x.t("tibemsmsg_setmessageid","message");
x.t("tibemsmsg_setmessageid","page");
x.t("tibemsmsg_setmessageid","using");
x.t("call","tibemsmsg_getencoding");
x.t("call","measure");
x.t("call","tibemsmsg_getintproperty");
x.t("call","tibemsmsg_gettimestamp");
x.t("call","tibemsdestination");
x.t("call","tibemsmsg_getbyteproperty");
x.t("call","tibemsmsg_getdoubleproperty");
x.t("call","tibemsmsg_clearbody");
x.t("call","creates");
x.t("call","tibemsmsg_getshortproperty");
x.t("call","tibemsmsg_getasbytes");
x.t("call","tibemsmsg_getfloatproperty");
x.t("call","tibemsmsg_getbodytype");
x.t("call","formats");
x.t("call","tibemsmsg_getexpiration");
x.t("call","jms");
x.t("call","tibemsmsg_getproperty");
x.t("call","tibemsmsg_getlongproperty");
x.t("call","tibemsmsg_setdestination");
x.t("call","tibemsmsg_setcorrelationid");
x.t("call","tibemsmsg_setreplyto");
x.t("call","tibemsmsg_create");
x.t("call","tibemsmsg_setdoubleproperty");
x.t("call","depends");
x.t("call","tibemsmsg_getdestination");
x.t("call","tibemsmsg_printtobuffer");
x.t("call","lazily");
x.t("call","tibemsmsg_getreplyto");
x.t("call","tibemsmsg_makewriteable");
x.t("call","tibemsmsg_settype");
x.t("call","tibemsmsg_setexpiration");
x.t("call","tibemsmsg_getstringproperty");
x.t("call","tibemsmsg_propertyexists");
x.t("call","tibemsmsg_setdeliverymode");
x.t("call","tibemsmsg_getmessageid");
x.t("call","prints");
x.t("call","symmetry");
x.t("call","tibemsmsg_settimestamp");
x.t("call","acknowledges");
x.t("call","tibemsmsg_destroy");
x.t("call","tibemsmsg_acknowledge");
x.t("call","function");
x.t("call","tibemsmsg_setshortproperty");
x.t("call","stores");
x.t("call","tibemsmsg_setpriority");
x.t("call","tibemsmsg_getbytesize");
x.t("call","listeners");
x.t("call","tibemsmsg_setfloatproperty");
x.t("call","tibemsmsg_setredelivered");
x.t("call","tibemsmsg_setstringproperty");
x.t("call","producer");
x.t("call","tibemsmsg_createcopy");
x.t("call","tibemsmsg_getredelivered");
x.t("call","tibemsmsg_print");
x.t("call","tibemsmsg_gettype");
x.t("call","tibemsmsg_setencoding");
x.t("call","tibemsmsg_getdeliverymode");
x.t("call","extends");
x.t("call","tibemsmsg_setbyteproperty");
x.t("call","tibemsmsg_getasbytescopy");
x.t("call","computes");
x.t("call","remarks");
x.t("call","tibemsmsg_clearproperties");
x.t("call","tibemsmsg_getcorrelationid");
x.t("call","tibemsmsg_getpropertynames");
x.t("call","call");
x.t("call","tibemsmsg_getpriority");
x.t("call","tibemsmsg_setmessageid");
x.t("call","tibemsmsg_createfrombytes");
x.t("call","returns");
x.t("call","tibemsmsg_setbooleanproperty");
x.t("call","tibemsmsg_setlongproperty");
x.t("call","effect");
x.t("call","tibemsmsg_setintproperty");
x.t("call","tibemsmsg_getbooleanproperty");
x.t("tibemsmsgcallback","function");
x.t("created","message");
x.t("non-zero","expiration");
x.t("costs","disabling");
x.t("order","server");
x.t("192","tibemsmsg_get");
x.t("192","tibemsmsg");
x.t("literals","configure");
x.t("tibemsmsg_createfrombytes","create");
x.t("tibemsmsg_createfrombytes","tibemsmsg");
x.t("tibemsmsg_createfrombytes","function");
x.t("tibemsmsg_createfrombytes","page");
x.t("tibemsmsg_createfrombytes","using");
x.t("storage","available");
x.t("storage","supplied");
x.t("storage","new");
x.t("storage","byte");
x.t("storage","suitable");
x.t("storage","subsequently");
x.t("storage","message");
x.t("storage","persists");
x.t("storage","newly");
x.t("storage","copy");
x.t("storage","call");
x.t("storage","remains");
x.t("pointer","new");
x.t("pointer","argument");
x.t("pointer","parameters");
x.t("pointer","tibemsmsg_getstringproperty");
x.t("pointer","tibemsmsg_setstringproperty");
x.t("pointer","value");
x.t("pointer","location");
x.t("pointer","data");
x.t("individual","messages");
x.t("individual","message");
x.t("eligible","acknowledgment");
x.t("either","tibemsmsg_getasbytes");
x.t("either","property");
x.t("compute","size");
x.t("corresponding","type");
x.t("corresponding","request");
x.t("193","tibemsmsg_setmessageid");
x.t("using","function");
x.t("using","arbitrary");
x.t("using","reference");
x.t("using","value");
x.t("tibems_explicit_client_dups_ok_acknowledge","mode");
x.t("duration","copy");
x.t("setting","correlation");
x.t("127","tibemsmsg_setdeliverymode");
x.t("127","tibemsmsg_getdeliverymode");
x.t("symbolic","values");
x.t("writeable","message");
x.t("writeable","tibemsmsg_print");
x.t("writeable","declaration");
x.t("writeable","output");
x.t("returns","message");
x.t("tibems_insufficient_buffer","buffer");
x.t("exempt","message");
x.t("levels","priority");
x.t("consumers","higher");
x.t("tibemsmsg_setbooleanproperty","tibemsmsg");
x.t("tibemsmsg_setbooleanproperty","using");
x.t("tibemsmsg_setlongproperty","tibemsmsg");
x.t("tibemsmsg_setlongproperty","using");
x.t("acknowledge","messages");
x.t("acknowledge","message");
x.t("names","contrast");
x.t("names","www.iana.org");
x.t("names","message");
x.t("names","null");
x.t("names","location");
x.t("names","values");
x.t("names","obey");
x.t("behavior","complies");
x.t("behavior","proprietary");
x.t("behavior","call");
x.t("without","erasing");
x.t("modify","byte");
x.t("modifiable","byte");
x.t("accounts","actual");
x.t("129","tibemsmsg_getredelivered");
x.t("definitions","providers");
x.t("definitions","client");
x.t("definitions","application");
x.t("tibemsmsgproducer_getdestination","page");
x.t("tibems_msg_not_writeable","message");
x.t("tibems_default_priority","neither");
x.t("effect","particular");
x.t("arrived","tibemsmsgconsumer_receive");
x.t("including","headers");
x.t("including","header");
x.t("buffer","status");
x.t("buffer","large");
x.t("buffer","small");
x.t("buffer","headers");
x.t("buffer","represents");
x.t("buffer","tibems_int");
x.t("buffer","value");
x.t("buffer","declaration");
x.t("buffer","location");
x.t("buffer","remarks");
x.t("buffer","either");
x.t("buffer","tibemsmsg_createfrombytes");
x.t("produce","type");
x.t("produce","exception");
x.t("completely","independent");
x.t("even","client");
x.t("even","similar");
x.t("consume","messages");
x.t("delivers","messages");
x.t("naming","policy");
x.t("tibemsmsg_setintproperty","tibemsmsg");
x.t("tibemsmsg_setintproperty","using");
x.t("tibemsstreammsg","tibemstextmsg");
x.t("object","program");
x.t("object","recipients");
x.t("object","tibemsmsg_createcopy");
x.t("object","declaration");
x.t("object","tibemsmsg_getasbytescopy");
x.t("object","data");
x.t("object","tibemsmsg_createfrombytes");
x.t("object","storage");
x.t("encoding","applies");
x.t("encoding","settings");
x.t("encoding","header");
x.t("encoding","message");
x.t("encoding","value");
x.t("encoding","location");
x.t("encoding","individual");
x.t("encoding","names");
x.t("server","redeliver");
x.t("server","until");
x.t("server","previously");
x.t("server","sets");
x.t("server","accepted");
x.t("server","discards");
x.t("server","delivers");
x.t("specify","transactions");
x.t("consuming","program");
x.t("content","tibemsmsg_printtobuffer");
x.t("content","message");
x.t("content","tibemsmsg_print");
x.t("content","call");
x.t("remains","unused");
x.t("higher","values");
x.t("tibemsmsg_getbooleanproperty","tibemsmsg");
x.t("tibemsmsg_getbooleanproperty","using");
x.t("tibems_bool","value");
x.t("tibems_bool","result");
}
